<?php    
namespace Teknisa\MAN\Controllers;

use Zeedhi\Framework\DataSource;
use Zeedhi\Framework\DataSource\DataSet;
use Zeedhi\Framework\DataSource\Manager;
use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DTO\Response;
use Zeedhi\Framework\DTO\Request;
use Teknisa\MAN\Services;
use Teknisa\MAN\Utilities;

class RelCompCredPessoal  {

    protected $RelCompCredPessoal;
    protected $utilService;
    
    public function __construct(Services\RelCompCredPessoalService $RelCompCredPessoal, Utilities\Util $utilService) {
        $this->relCompCredPessoal = $RelCompCredPessoal;
        $this->utilService = $utilService;
    }
    
    public function find(DTO\Request\Filter $request, DTO\Response $response) {
        
        $conditions = $this->utilService->getParamsAsArray($request);
        $result = $this->relCompCredPessoal->find($conditions);
        $response->addDataSet(new DataSet("vnd0370l_relCompCredPessoal", $result));
        return $response;
    }
}